# Deactivate user

Deactivates the user associated with the current Smartsheet plan, blocking the user from using Smartsheet in any way. Deactivating a user does not affect their existing permissions on owned or shared items.

Optionally, with Enterprise Plan Manager (EPM) enabled, you can deactivate a user from child organizations.

> Who can use this operation?
> 
> Permissions: System Admin
>
> This operation is unavailable for Smartsheet Gov.

Attempting to deactivate a user that matches any of the following criteria results in an error:
- The user's primary email address belongs to an ISP domain (e.g., gmail.com, yahoo.com, outlook.com). For example, see the common ISP domains listed below.
- The user's primary email address is unassociated with the current Smartsheet plan domain(s).
- The user is managed by an external source, such as an identity provider (IdP) or directory integration (DI) provider. External source examples include Okta and Azure AD. Deactivating such a user can only be done via the external source.

Users with primary email addresses on the following ISP domains cannot be deactivated:
- aol.com
- charter.net
- comcast.net
- duck.com
- email.com
- gmail.com
- hotmail.com
- icloud.com
- live.com
- mail.com
- mail.ru
- outlook.com
- rocketmail.com
- usa.com
- verizon.net
- web.de
- yahoo.com

Endpoint: POST /users/{userId}/deactivate
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Path parameters:

  - `userId` (number, required)
    ID of the user being accessed.

## Response 200 fields (application/json):

  - `message` (string)
    Message that indicates the outcome of the request. (One of SUCCESS or PARTIAL_SUCCESS.)
    Enum: "PARTIAL_SUCCESS", "SUCCESS"

  - `resultCode` (number)
    * '0' Success
* '3' Partial Success of Bulk Operation
    Enum: 0, 3

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


## Response 400 fields

## Response 403 fields
